# Copyright (C) 2008-2014 Marvell International Ltd.
# All Rights Reserved.
#
# Application Makefile
#
#    Builds and Installs Application ELF Executable Image (.axf)
#    and image suitable for flashing (.bin).
#
#    The Makefile is built using Makefile.targets
#    available in $(TOOLCHAIN_DIR).
#
# Usage:
#
#     Targets:
#
#	  all: Builds the firmware binary image in both ELF (axf) format
#          (suitable for loading into RAM) and bin format (suitable
#          for flashing)
#
#          Should be called with SDK_PATH set to root of a pre-built
#          SDK against which the application should be built.
#
# 		   If BOARD_FILE is set (to the absolute path to the file),
#		   then the file is copied locally (to $(SRC_DIR)/board.c) and
#          then used for build. If its not present, then the application
#          sources should have the needed board-specific functions.
#
#     clean: Cleans all the build artifacts
#
#     install: Installs ELF image, Bin Image, and MAP file to
#              $(INSTALL_DIR). By default INSTALL_DIR = ./bin.
#
# Description:
#
#   Minimally, in this file, only the following need to be specified.
#
#   SRCS     = list of source files
#   DST_NAME = prefix to be used for generated build artifcats.
#
#   Default Variables:
#
#   A number of variables are used in Makefile.targets that can be
#   overridden here.
#
#   SRC_DIR:  directory for source files (default ./src)
#   OBJ_DIR:  directory for intermediate object files (default ./obj)
#   BIN_DIR:  directory for final build artifacts (default ./bin)
#
#   LDSCRIPT: Linker script (default $(TOOLCHAIN_DIR)/$(ARCH_NAME-y).ld)
#   EXTRACFLAGS: pass any additional CFLAGS to be passed to the C Compiler.

include config.mk


LDSCRIPT = $(TOOLCHAIN_DIR)/$(ARCH_NAME-y).ld

DST_NAME = fw_upgrade_demo

# Chosen from config.mk in this folder
ifeq ($(APPCONFIG_FWUPG_ED_CHACHA),y)
	EXTRACFLAGS += -DAPPCONFIG_FWUPG_ED_CHACHA
else
ifeq ($(APPCONFIG_FWUPG_RSA_AES),y)
	EXTRACFLAGS += -DAPPCONFIG_FWUPG_RSA_AES
endif
endif

SRCS = main.c \
	reset_prov_helper.c \
	 board.c

EXTRACFLAGS += -I./src -D APPCONFIG_DEBUG_ENABLE=1  $(EXTRACFLAGS-y)

SRCS += $(SRCS-y)

MAKE_FTFS = 1
FTFS_DIR  = ./www
FTFS_API_VERSION = 100

include $(TOOLCHAIN_DIR)/targets.mk
include $(TOOLCHAIN_DIR)/rules.mk

